% Lager box plot av oksidinnhold-data, med en boks for hver klasse
% INPUT: .txt-fil med XRF-målinger i femte kolonne, XMET-målinger
% i sjette kolonne og mineraliseringsklasse i syvende kolonne
% Dersom en observasjon ikke har noen tilgjengelig
% XRF-måling, er verdien satt til 300 for å markere dette.
% OUTPUT: Todelt figur med boxplot av XMET-data til venstre og XRF-data til høyre
clc, clear all, close all

% Last inn data
XMETdata = load('malmdata.txt');
findXRF = find(XMETdata(:,5) < 300); % Finn indeksene til XRF-observasjonene
XRFdata = XMETdata(findXRF,:);

XMET = XMETdata(:,6); % Oksidinnhold (XMET)
XMETklasse = XMETdata(:,7);

XRF = XRFdata(:,5);
XRFklasse = XRFdata(:,7);

% Figur
figure(1)

subplot(1,2,1), hold on % Venstre side
boxplot(XMET,XMETklasse)
title('XMET, 1871 observasjoner')
xlabel('Klasse')
ylabel('Oksidinnhold (XMET)')
ylim([floor(min(XMET)) ceil(max(XMET))])
hold off

subplot(1,2,2), hold on % Høyre side
boxplot(XRF,XRFklasse)
title('XRF, 103 observasjoner')
xlabel('Klasse')
ylabel('Oksidinnhold (XRF)')
ylim([floor(min(XMET)) ceil(max(XMET))])
hold off

% Felles tittel (supertitle) for begge underfigurene
suptitle('Klassevis sammenlikning av observert oksidinnhold')

