% Lager et tredimensjonalt plott  av posisjonene i gruva
% hvor malmprøvene er hentet fra.
% Markerer målepunkter med blå sirkler eller svarte punkter
% avhengig av om det er tatt både XMET- og XRF-målinger der,
% eller bare XMET.
% INPUT: .txt-fil med x-koordinater (østlig lengde) i andre
% kolonne, y-koordinater (nordlig bredde) i tredje kolonne,
% z-koordinater (dybde) i fjerde kolonne og XRF-målinger i
% femte kolonne. XRF-måleverdiene er satt til 300 for de
% observasjonene hvor det ikke er tatt XRF-målinger.
clc, clear all, close all

% Last inn data
data = load('malmdata.txt');

% Finn XRF-observasjonene
findXRF = find(data(:,5) < 300);
findXMET = find(data(:,5) == 300);

% Hent ut posisjonene
posXRF = data(findXRF,2:4);
posXMET = data(findXMET,2:4);

% Lag figur
figure(1), hold on
plot3(posXMET(:,1),posXMET(:,2),posXMET(:,3),'k.','LineWidth',1) % 3d-plot
plot3(posXRF(:,1),posXRF(:,2),posXRF(:,3),'bo','LineWidth',2)
box on
set(gca,'xtick',[],'ytick',[],'ztick',[]) % Ikke vis tall på aksene
view(0,0)
legend('Kun XMET','XMET og XRF','Location','NorthWest')
xlabel('{\oslash}st'), ylabel('Nord'), zlabel('Dybde')
hold off
